#!/bin/bash

get_profile()
{
	current_profile=$(powerprofilesctl get)
}

set_profile()
{
	powerprofilesctl set $1
}

toggle_profiles()
{
	get_profile
	case $current_profile in
		performance ) set_profile "power-saver"
			;;
		balanced )    set_profile "performance"
			;;
		power-saver ) set_profile "balanced"
			;;
		* )	exit 1
	esac

}

toggle_profiles
